org.eclipse.jetty.jndi

## Class DataSourceCloser

- java.lang.Object
- - org.eclipse.jetty.jndi.DataSourceCloser

All Implemented Interfaces:
  Destroyable

    public class DataSourceCloser
    extends Object
    implements Destroyable

Close a DataSource. Some `DataSource`'s need to be close (eg. Atomikos). This bean is a `Destroyable` and may be added to any `AggregateLifeCycle` so that `destroy()` will be called. The `destroy()` method calls any no-arg method called "close" on the passed DataSource.

### Constructor Summary

Constructors
Constructor and Description
`DataSourceCloser(DataSource datasource)`
`DataSourceCloser(DataSource datasource, String shutdownSQL)`

### Method Summary

Methods
`void` `destroy()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataSourceCloser

    public DataSourceCloser(DataSource datasource)

#### DataSourceCloser

    public DataSourceCloser(DataSource datasource,
                    String shutdownSQL)

### Method Detail

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `Destroyable`